Infra Chapril - Demande #4939

Demande # 4926 (Fermé): La partition de backup est presque pleine

L'espace disque de sauvegarde est plein
28/11/2020 12:31 - Frangois Poulain

Statut: Fermé Début: 28/11/2020
Priorité: Normale Echéance:

Assigné a: Frangois Poulain % réaliseé: 0%
Catégorie: Temps estimé: 0.00 heure
Version cible: Sprint 2020 novembre

Description

Historique

#1 - 28/11/2020 12:45 - Francois Poulain
- Statut changé de Nouveau a Résolu

- Assigné a mis a Frangois Poulain

Le montage de ce disque a été simple donc I'augmentation a chaud requiers plus de manips.

D'abord sur I'hyperviseur on augmente le Iv concerné.

(April) root@galanga:~# lvresize -L+100G /dev/vg_galanga/borg_backup

/dev/sdc: open failed: No medium found

/dev/sdd: open failed: No medium found

Size of logical volume vg_galanga/borg_backup changed from 400.00 GiB (102400 extents) to 500.00 GiB (128000
extents) .

Logical volume vg_galanga/borg_backup successfully resized.

Arréter puis redémarrer la VM contenant le disque retaillé.
Un simple reboot ne suffit pas, il faut éteindre la VM.

(April) root@galanga:~# virsh shutdown icinga2
Domain icinga2 is being shutdown

(April) root@galanga:~# virsh list
Id Name State

(April) root@galanga:~# virsh start icinga2

Etendre la partition sur le disque

Le faire a chad nécessite de taper dans la table de partition : on delete on recréé. Il faut conserver le bon démarrage de la partition (ici 2048).

=("-")=root@icingal2:~# fdisk /dev/vdb

Welcome to fdisk (util-linux 2.33.1).
Changes will remain in memory only, until you decide to write them.
Be careful before using the write command.

Command (m for help): p

Disk /dev/vdb: 500 GiB, 536870912000 bytes, 1048576000 sectors
Units: sectors of 1 * 512 = 512 bytes

Sector size (logical/physical): 512 bytes / 512 bytes

I/0 size (minimum/optimal): 512 bytes / 512 bytes

Disklabel type: gpt

Disk identifier: 77F6EC72-182F-4719-BFEB-DE7424080479

Device Start End Sectors Size Type
/dev/vdbl 2048 838860766 838858719 400G Linux filesystem
Command (m for help): d
Selected partition 1
Partition 1 has been deleted.

Command (m for help): n

Partition number (1-128, default 1):

First sector (2048-1048575966, default 2048):

Last sector, +/-sectors or +/-size{X,M,G,T,P} (2048-1048575966, default 1048575966) :

Created a new partition 1 of type 'Linux filesystem' and of size 500 GiB.
Partition #1 contains a ext4 signature.

Do you want to remove the signature? [Y]es/[N]Jo: N
Command (m for help): p

Disk /dev/vdb: 500 GiB, 536870912000 bytes, 1048576000 sectors
Units: sectors of 1 * 512 = 512 bytes

Sector size (logical/physical): 512 bytes / 512 bytes

I/0 size (minimum/optimal): 512 bytes / 512 bytes

Disklabel type: gpt

Disk identifier: 77F6EC72-182F-4719-BFEB-DE7424080479

Device Start End Sectors Size Type
/dev/vdbl 2048 1048575966 1048573919 500G Linux filesystem

Command (m for help): w
The partition table has been altered.
Syncing disks.

Etendre le system de fichier

=("-")=root@icingal2:~# resize2fs /dev/vdbl

resize2fs 1.44.5 (15-Dec-2018)

Filesystem at /dev/vdbl is mounted on /srv/backups; on-line resizing required
old_desc_blocks = 50, new_desc_blocks = 63

The filesystem on /dev/vdbl is now 131071739 (4k) blocks long.

#2 - 02/12/2020 09:32 - Francois Poulain
- Tache parente mis a #4926

#3 - 02/12/2020 23:25 - Quentin Gibeaux

- Statut changé de Résolu a Fermé

#4 - 03/12/2020 00:56 - Christian P. Momon

- Version cible changé de Backlog a Sprint 2020 novembre
